## xdg-desktop-portal-kde 5.11.3

=== CMakeLists.txt ===
project(xdg-desktop-portal-kde)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

set(PROJECT_VERSION "5.11.3")
set(PROJECT_VERSION_MAJOR 5)

################# set KDE specific information #################

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    PrintSupport
    Widgets
)

find_package(KF5 REQUIRED
    CoreAddons
    I18n
    Notifications
)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0 -DQT_NO_KEYWORDS)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

add_subdirectory(data)
add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

## xdg-desktop-portal-kde 5.10.4

=== debian/changelog ===
xdg-desktop-portal-kde (5.10.4-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Initial upstream beta release (5.9.95)
  * New upstream release (5.10.0)
  * New upstream release (5.10.1)
  * Update version for re-spun tarball
  * New upstream release (5.10.2)
  * New upstream release (5.10.3)
  * New upstream release (5.10.4)

  [ Clive Johnston ]
  * Add translations to copyright file
  * Initial package upload to Ubuntu, closes (LP: #1705110)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Aug 2017 22:40:14 +0100

xdg-desktop-portal-kde (0.0-0neon) xenial; urgency=medium

  * Initial Package

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 17:12:49 +0100

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.36.0~),
               libkf5coreaddons-dev (>= 5.36.0~),
               libkf5i18n-dev (>= 5.36.0~),
               libkf5notifications-dev (>= 5.36.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev,
               qtbase5-private-dev
Standards-Version: 4.0.0
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde

Package: xdg-desktop-portal-kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-gtk provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.11.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
-               libkf5coreaddons-dev (>= 5.36.0~),
-               libkf5i18n-dev (>= 5.36.0~),
-               libkf5notifications-dev (>= 5.36.0~),
+               extra-cmake-modules (>= 5.40.0~),
+               libkf5coreaddons-dev (>= 5.40.0~),
+               libkf5i18n-dev (>= 5.40.0~),
+               libkf5notifications-dev (>= 5.40.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev,
                qtbase5-private-dev

## xdg-desktop-portal-kde 5.11.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.11.3")
+set(PROJECT_VERSION "5.11.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:17:25 -0600

## xdg-desktop-portal-kde 5.11.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.11.4")
+set(PROJECT_VERSION "5.11.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:40:34 +0000

## xdg-desktop-portal-kde 5.12.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:48 +0000

## xdg-desktop-portal-kde 5.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.11.5")
+set(PROJECT_VERSION "5.12.1")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:14:21 +0000

## xdg-desktop-portal-kde 5.12.2

=== debian/changelog ===
xdg-desktop-portal-kde (5.12.2-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:51:39 -0600

xdg-desktop-portal-kde (5.12.2-0ubuntu1) bionic; urgency=medium

  * Re-order debian/copyright as prompted by lintian
  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:44:20 +0000

## xdg-desktop-portal-kde 5.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.12.1")
+set(PROJECT_VERSION "5.12.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:45 +0000

## xdg-desktop-portal-kde 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.12.3")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.12.4-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:01:57 -0500

xdg-desktop-portal-kde (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:56:41 +0100

## xdg-desktop-portal-kde 5.12.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:36 +0100

## xdg-desktop-portal-kde 5.12.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.12.5")
+set(PROJECT_VERSION "5.12.6")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.40.0~),
-               libkf5coreaddons-dev (>= 5.40.0~),
-               libkf5i18n-dev (>= 5.40.0~),
-               libkf5notifications-dev (>= 5.40.0~),
+               extra-cmake-modules (>= 5.42.0~),
+               libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5i18n-dev (>= 5.42.0~),
+               libkf5notifications-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev,
-               qtbase5-private-dev
+               qtbase5-private-dev,
 Standards-Version: 4.0.0
 Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde

## xdg-desktop-portal-kde 5.12.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.12.6")
+set(PROJECT_VERSION "5.12.7")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################

=== data/CMakeLists.txt ===
configure_file(org.freedesktop.impl.portal.desktop.kde.cmake.in org.freedesktop.impl.portal.desktop.kde.service @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.impl.portal.desktop.kde.service DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR})
install(FILES kde.portal DESTINATION ${DATA_INSTALL_DIR}/xdg-desktop-portal/portals)

=== debian/changelog ===
xdg-desktop-portal-kde (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libkf5notifications-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev,
-               qtbase5-private-dev,
+               qtbase5-private-dev
 Standards-Version: 4.0.0
 Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/xdg-desktop-portal-kde-([\d.]+)\.tar\.xz

## xdg-desktop-portal-kde 5.13.3

=== CMakeLists.txt ===
project(xdg-desktop-portal-kde)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

set(PROJECT_VERSION "5.13.3")
set(PROJECT_VERSION_MAJOR 5)

################# set KDE specific information #################

find_package(ECM 5.41.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)

find_package(GLIB2)
set_package_properties(GLIB2 PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for screencast portal"
)

find_package(SPA)
set_package_properties(SPA PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for screencast portal"
)

find_package(PipeWire)
set_package_properties(PipeWire PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for screencast portal"
)

find_package(GBM)
set_package_properties(GBM PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Required for screencast portal"
)

find_package(Epoxy)
set_package_properties(Epoxy PROPERTIES DESCRIPTION "libepoxy"
    URL "http://github.com/anholt/libepoxy"
    TYPE OPTIONAL
    PURPOSE "Required for screencast portal"
)

if (PipeWire_FOUND AND SPA_FOUND AND GLIB2_FOUND AND GBM_FOUND AND Epoxy_FOUND)
    set (SCREENCAST_ENABLED true)
else()
    set (SCREENCAST_ENABLED false)
endif()
add_definitions(-DSCREENCAST_ENABLED=${SCREENCAST_ENABLED})

add_feature_info ("Screencast portal" ${SCREENCAST_ENABLED} "Support for screen sharing")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    PrintSupport
    Widgets
)

find_package(KF5 REQUIRED
    CoreAddons
    I18n
    Notifications
    Wayland
    WidgetsAddons
)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)

add_subdirectory(data)
add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
xdg-desktop-portal-kde (5.13.3-0ubuntu1) cosmic; urgency=medium

  * New build depend on kwayland and gbm
  * Build dep on libkf5widgetsaddons-dev
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:27:24 +0100

xdg-desktop-portal-kde (5.12.6-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:59:22 -0500

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,15 @@
                dbus-x11,
                debhelper (>= 9),
                extra-cmake-modules (>= 5.42.0~),
+               libgbm-dev,
                libkf5coreaddons-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
                libkf5notifications-dev (>= 5.42.0~),
+               libkf5wayland-dev (>= 5.42.0~),
+               libkf5widgetsaddons-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev,
-               qtbase5-private-dev
+               qtbase5-private-dev,
 Standards-Version: 4.0.0
 Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde

## xdg-desktop-portal-kde 5.13.4

=== debian/changelog ===
xdg-desktop-portal-kde (5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Aug 2018 13:17:33 +0100

xdg-desktop-portal-kde (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:29 +0200

xdg-desktop-portal-kde (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:44:22 +0100

xdg-desktop-portal-kde (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:32 +0200

xdg-desktop-portal-kde (5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:48:00 +0100

xdg-desktop-portal-kde (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:15 +0100

xdg-desktop-portal-kde (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:04:01 +0100

xdg-desktop-portal-kde (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:20 +0100

xdg-desktop-portal-kde (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:28 -0300

xdg-desktop-portal-kde (5.10.5-1) experimental; urgency=medium

  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update copyright information
  * Add myself as a human maintainer
  * New upstream release (5.10.5).
  * Add missing copyright holders

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Oct 2017 11:44:18 +0100

xdg-desktop-portal-kde (5.10.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Jun 2017 12:11:04 +0000

xdg-desktop-portal-kde (5.10.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Jun 2017 22:14:15 +0000

xdg-desktop-portal-kde (5.10.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2017 17:32:10 +0000

xdg-desktop-portal-kde (5.10.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 May 2017 17:06:36 +0000

## xdg-desktop-portal-kde 5.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.4.0")
 
-set(PROJECT_VERSION "5.13.3")
+set(PROJECT_VERSION "5.13.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# set KDE specific information #################
@@ -21,12 +21,6 @@
 
 find_package(GLIB2)
 set_package_properties(GLIB2 PROPERTIES
-    TYPE OPTIONAL
-    PURPOSE "Required for screencast portal"
-)
-
-find_package(SPA)
-set_package_properties(SPA PROPERTIES
     TYPE OPTIONAL
     PURPOSE "Required for screencast portal"
 )
@@ -50,7 +44,7 @@
     PURPOSE "Required for screencast portal"
 )
 
-if (PipeWire_FOUND AND SPA_FOUND AND GLIB2_FOUND AND GBM_FOUND AND Epoxy_FOUND)
+if (PipeWire_FOUND AND GLIB2_FOUND AND GBM_FOUND AND Epoxy_FOUND)
     set (SCREENCAST_ENABLED true)
 else()
     set (SCREENCAST_ENABLED false)

=== debian/changelog ===
xdg-desktop-portal-kde (5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:36:14 +0100

xdg-desktop-portal-kde (5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.42.0~),
-               libgbm-dev,
-               libkf5coreaddons-dev (>= 5.42.0~),
-               libkf5i18n-dev (>= 5.42.0~),
-               libkf5notifications-dev (>= 5.42.0~),
-               libkf5wayland-dev (>= 5.42.0~),
-               libkf5widgetsaddons-dev (>= 5.42.0~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.41.0~),
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               libkf5notifications-dev,
+               libkf5wayland-dev,
+               libkf5widgetsaddons-dev,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.4.0~),
                qtbase5-private-dev,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde

## xdg-desktop-portal-kde 5.14.3

=== debian/changelog ===
xdg-desktop-portal-kde (5.14.3-1) unstable; urgency=medium

  * Add xdg-desktop-portal-backend Provides.
    Thanks to Zhang Jingqiang, Andrew Hayzen and Simon McVittie for the report and follow up
    (Closes: 890910)
  * Refer to the kde version in the description.
    Thanks to Hans Joachim Desserud for the report (Closes: 908414)
  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:14 -0300

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5wayland-dev (>= 4:5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
               qtbase5-private-dev,
Standards-Version: 4.1.3
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git

Package: xdg-desktop-portal-kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.14.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,22 @@
+cmake_minimum_required(VERSION 3.0)
+
 project(xdg-desktop-portal-kde)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.4.0")
+set(PROJECT_VERSION "5.14.4")
+set(PROJECT_VERSION_MAJOR 5)
 
-set(PROJECT_VERSION "5.13.5")
-set(PROJECT_VERSION_MAJOR 5)
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
 
 ################# set KDE specific information #################
 
-find_package(ECM 5.41.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
-include(ECMPackageConfigHelpers)
-include(ECMOptionalAddSubdirectory)
 include(FeatureSummary)
 
 find_package(GLIB2)
@@ -55,12 +55,13 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
+    Concurrent
     DBus
     PrintSupport
     Widgets
 )
 
-find_package(KF5 REQUIRED
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     CoreAddons
     I18n
     Notifications
@@ -69,7 +70,7 @@
 )
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)
 
 add_subdirectory(data)

=== debian/changelog ===
xdg-desktop-portal-kde (5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:38 +0000

xdg-desktop-portal-kde (5.13.5-1ubuntu2) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-2.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Nov 2018 18:15:37 +0000

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5wayland-dev (>= 4:5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4.0~),
               qtbase5-private-dev,
Standards-Version: 4.1.3
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde

Package: xdg-desktop-portal-kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-gtk provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.14.5

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="xdg-desktop-portal-kde")

include_directories(${Qt5PrintSupport_PRIVATE_INCLUDE_DIRS})

set(xdg_desktop_portal_kde_SRCS
    xdg-desktop-portal-kde.cpp
    access.cpp
    accessdialog.cpp
    appchooser.cpp
    appchooserdialog.cpp
    appchooserdialogitem.cpp
    desktopportal.cpp
    email.cpp
    filechooser.cpp
    inhibit.cpp
    notification.cpp
    print.cpp
    request.cpp
    session.cpp
    screenshot.cpp
    screenshotdialog.cpp
    utils.cpp
)

if (SCREENCAST_ENABLED)
    set (xdg_desktop_portal_kde_SRCS
         ${xdg_desktop_portal_kde_SRCS}
         screencast.cpp
         screencaststream.cpp
         screenchooserdialog.cpp)

    ki18n_wrap_ui(xdg_desktop_portal_kde_SRCS
                  screenchooserdialog.ui)
endif()

ki18n_wrap_ui(xdg_desktop_portal_kde_SRCS
    accessdialog.ui
    screenshotdialog.ui
)

add_executable(xdg-desktop-portal-kde ${xdg_desktop_portal_kde_SRCS})

target_link_libraries(xdg-desktop-portal-kde
    Qt5::Core
    Qt5::DBus
    Qt5::Concurrent
    Qt5::PrintSupport
    Qt5::Widgets
    KF5::CoreAddons
    KF5::I18n
    KF5::Notifications
    KF5::WaylandClient
    KF5::WidgetsAddons
    KF5::WindowSystem
)

if (SCREENCAST_ENABLED)
    target_link_libraries(xdg-desktop-portal-kde
                          PipeWire::PipeWire
                          GLIB2::GLIB2
                          ${Epoxy_LIBRARIES}
                          GBM::GBM)
endif()

install(TARGETS xdg-desktop-portal-kde DESTINATION ${KDE_INSTALL_LIBEXECDIR})

=== debian/changelog ===
xdg-desktop-portal-kde (5.14.5-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on libcups2-dev, to fix build failure with Qt 5.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Oct 2019 23:46:26 +0300

xdg-desktop-portal-kde (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:19 -0300

=== debian/control ===
Source: xdg-desktop-portal-kde
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libcups2-dev,
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5wayland-dev (>= 4:5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
               qtbase5-private-dev,
Standards-Version: 4.1.3
Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git

Package: xdg-desktop-portal-kde
Architecture: any
Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
Provides: xdg-desktop-portal-backend
Description: backend implementation for xdg-desktop-portal using Qt
 xdg-desktop-portal-kde provides a Qt implementation for the
 desktop-agnostic xdg-desktop-portal service. This allows sandboxed
 applications to request services from outside the sandbox using KDE
 GUIs (app chooser, file chooser, print dialog) or using KDE services
 (session manager, screenshot provider).

## xdg-desktop-portal-kde 5.14.5.1+rb2

=== debian/changelog ===
xdg-desktop-portal-kde (5.14.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jan 2021 20:15:53 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                dbus-x11,
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.50.0~),
-               libcups2-dev,
                libkf5coreaddons-dev (>= 5.50.0~),
                libkf5i18n-dev (>= 5.50.0~),
                libkf5notifications-dev (>= 5.50.0~),
@@ -17,6 +16,7 @@
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.11.0~),
                qtbase5-private-dev,
+               libcups2-dev,
 Standards-Version: 4.1.3
 Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
@@ -24,7 +24,7 @@
 
 Package: xdg-desktop-portal-kde
 Architecture: any
-Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: xdg-desktop-portal-backend
 Description: backend implementation for xdg-desktop-portal using Qt
  xdg-desktop-portal-kde provides a Qt implementation for the

## xdg-desktop-portal-kde 5.14.90

=== debian/changelog ===
xdg-desktop-portal-kde (5.14.90-0ubuntu1) disco; urgency=medium

  * Update build deps.
  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:26:21 +0000

xdg-desktop-portal-kde (5.14.5-0ubuntu1) disco; urgency=medium

  * Drop upstream applied upstream_fix-filechooser-save-dialog.patch
  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:34 +0000

xdg-desktop-portal-kde (5.14.4-0ubuntu4) disco; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-3.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 01 Jan 2019 21:27:34 +0000

xdg-desktop-portal-kde (5.14.4-0ubuntu3) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - debian/patches: upstream_fix-filechooser-save-dialog.patch
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 29 Dec 2018 20:21:08 +0000

xdg-desktop-portal-kde (5.14.4-0ubuntu2) disco; urgency=medium

  * Add upstream patch to make use of current_name property in save
    dialog. Fixes Firefox 64+ file save dialog.
    - debian/patches: upstream_fix-filechooser-save-dialog.patch

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 28 Dec 2018 23:20:46 +0000

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,22 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.50.0~),
-               libkf5coreaddons-dev (>= 5.50.0~),
-               libkf5i18n-dev (>= 5.50.0~),
-               libkf5notifications-dev (>= 5.50.0~),
-               libkf5wayland-dev (>= 4:5.50.0~),
-               libkf5widgetsaddons-dev (>= 5.50.0~),
-               libkf5windowsystem-dev (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
+               libkf5config-dev (>= 5.54.0~),
+               libkf5coreaddons-dev (>= 5.54.0~),
+               libkf5i18n-dev (>= 5.54.0~),
+               libkf5kio-dev (>= 5.54.0~),
+               libkf5notifications-dev (>= 5.54.0~),
+               libkf5wayland-dev (>= 4:5.54.0~),
+               libkf5widgetsaddons-dev (>= 5.54.0~),
+               libkf5windowsystem-dev (>= 5.54.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.11.0~),
                qtbase5-private-dev,
-               libcups2-dev,
 Standards-Version: 4.1.3
 Homepage: https://cgit.kde.org/xdg-desktop-portal-kde.git/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/xdg-desktop-portal-kde.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/xdg-desktop-portal-kde
 
 Package: xdg-desktop-portal-kde
 Architecture: any

## xdg-desktop-portal-kde 5.15.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)
  * Add dependency on xdg-desktop-portal.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:55 +0000

## xdg-desktop-portal-kde 5.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.14.4")
+set(PROJECT_VERSION "5.15.1")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.50.0")
+set(KF5_MIN_VERSION "5.54.0")
 
 ################# set KDE specific information #################
 
@@ -15,7 +15,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 include(FeatureSummary)
 
@@ -63,15 +63,16 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     CoreAddons
+    Config
     I18n
+    KIO
     Notifications
     Wayland
     WidgetsAddons
+    WindowSystem
 )
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
-add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
-remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY)
 
 add_subdirectory(data)
 add_subdirectory(src)

=== debian/changelog ===
xdg-desktop-portal-kde (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:35:25 +0000

## xdg-desktop-portal-kde 5.15.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.15.1")
+set(PROJECT_VERSION "5.15.2")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.11.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:16:40 +0000

## xdg-desktop-portal-kde 5.15.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.15.2")
+set(PROJECT_VERSION "5.15.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.11.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:53 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 Package: xdg-desktop-portal-kde
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: xdg-desktop-portal, ${misc:Depends}, ${shlibs:Depends}
 Provides: xdg-desktop-portal-backend
 Description: backend implementation for xdg-desktop-portal using Qt
  xdg-desktop-portal-kde provides a Qt implementation for the

## xdg-desktop-portal-kde 5.15.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.15.3")
+set(PROJECT_VERSION "5.15.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.11.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:11:32 +0100

xdg-desktop-portal-kde (5.15.3-0ubuntu2) disco; urgency=medium

  * Rebuild against qtbase-abi-5-12-2.
  * Add build depend on libcups2-dev to fix FTBFS with Qt 5.12.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:30:03 +0000

## xdg-desktop-portal-kde 5.15.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.15.4")
+set(PROJECT_VERSION "5.15.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.11.0")

=== debian/changelog ===
xdg-desktop-portal-kde (5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                dbus-x11,
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.54.0~),
+               libcups2-dev,
                libkf5config-dev (>= 5.54.0~),
                libkf5coreaddons-dev (>= 5.54.0~),
                libkf5i18n-dev (>= 5.54.0~),

## xdg-desktop-portal-kde 5.15.90

=== debian/changelog ===
xdg-desktop-portal-kde (5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:54 +0100

## xdg-desktop-portal-kde 5.16.0

=== debian/changelog ===
xdg-desktop-portal-kde (5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:53 +0100

## xdg-desktop-portal-kde 5.16.1

=== debian/changelog ===
xdg-desktop-portal-kde (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:26:45 +0100

## xdg-desktop-portal-kde 5.16.2

=== debian/changelog ===
xdg-desktop-portal-kde (5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:25:10 +0100

## xdg-desktop-portal-kde 5.16.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.15.5")
+set(PROJECT_VERSION "5.16.3")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.54.0")
+set(QT_MIN_VERSION "5.12.0")
+set(KF5_MIN_VERSION "5.58.0")
 
 ################# set KDE specific information #################

=== debian/changelog ===
xdg-desktop-portal-kde (5.16.3-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 12 Jul 2019 11:26:00 +0300

xdg-desktop-portal-kde (5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:24:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
                libcups2-dev,
-               libkf5config-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5notifications-dev (>= 5.54.0~),
-               libkf5wayland-dev (>= 4:5.54.0~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
-               libkf5windowsystem-dev (>= 5.54.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5notifications-dev (>= 5.58.0~),
+               libkf5wayland-dev (>= 4:5.58.0~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
+               libkf5windowsystem-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.11.0~),
                qtbase5-private-dev,

## xdg-desktop-portal-kde 5.16.4

=== debian/changelog ===
xdg-desktop-portal-kde (5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:57 +0100

## xdg-desktop-portal-kde 5.16.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     session.cpp
     screenshot.cpp
     screenshotdialog.cpp
+    settings.cpp
     utils.cpp
 )
 
@@ -27,10 +28,15 @@
          ${xdg_desktop_portal_kde_SRCS}
          screencast.cpp
          screencaststream.cpp
-         screenchooserdialog.cpp)
+         screencastwidget.cpp
+         screenchooserdialog.cpp
+         remotedesktop.cpp
+         remotedesktopdialog.cpp
+         waylandintegration.cpp)
 
     ki18n_wrap_ui(xdg_desktop_portal_kde_SRCS
-                  screenchooserdialog.ui)
+                  screenchooserdialog.ui
+                  remotedesktopdialog.ui)
 endif()
 
 ki18n_wrap_ui(xdg_desktop_portal_kde_SRCS
@@ -47,7 +53,9 @@
     Qt5::PrintSupport
     Qt5::Widgets
     KF5::CoreAddons
+    KF5::ConfigCore
     KF5::I18n
+    KF5::KIOFileWidgets
     KF5::Notifications
     KF5::WaylandClient
     KF5::WidgetsAddons

=== debian/changelog ===
xdg-desktop-portal-kde (5.16.5-0ubuntu2) eoan; urgency=medium

  * Add back build deps for screencast portal, now build against pipewire
    is fixed: libpipewire-0.2-dev, libgbm-dev & libepoxy-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:46:17 +0100

xdg-desktop-portal-kde (5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:26:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.58.0~),
                libcups2-dev,
+               libepoxy-dev,
+               libgbm-dev,
                libkf5config-dev (>= 5.58.0~),
                libkf5coreaddons-dev (>= 5.58.0~),
                libkf5i18n-dev (>= 5.58.0~),
@@ -16,6 +18,7 @@
                libkf5wayland-dev (>= 4:5.58.0~),
                libkf5widgetsaddons-dev (>= 5.58.0~),
                libkf5windowsystem-dev (>= 5.58.0~),
+               libpipewire-0.2-dev,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.11.0~),
                qtbase5-private-dev,

## xdg-desktop-portal-kde 5.17.2

=== debian/changelog ===
xdg-desktop-portal-kde (5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:55 +0000

xdg-desktop-portal-kde (5.16.5-0ubuntu3) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5

 -- Rik Mills <rikmills@kde.org>  Sat, 26 Oct 2019 11:26:22 +0100

## xdg-desktop-portal-kde 5.17.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 project(xdg-desktop-portal-kde)
 
-set(PROJECT_VERSION "5.16.3")
+set(PROJECT_VERSION "5.17.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.58.0")
+set(KF5_MIN_VERSION "5.62.0")
 
 ################# set KDE specific information #################
 
@@ -18,12 +18,6 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 include(FeatureSummary)
-
-find_package(GLIB2)
-set_package_properties(GLIB2 PROPERTIES
-    TYPE OPTIONAL
-    PURPOSE "Required for screencast portal"
-)
 
 find_package(PipeWire)
 set_package_properties(PipeWire PROPERTIES
@@ -44,7 +38,7 @@
     PURPOSE "Required for screencast portal"
 )
 
-if (PipeWire_FOUND AND GLIB2_FOUND AND GBM_FOUND AND Epoxy_FOUND)
+if (PipeWire_FOUND AND GBM_FOUND AND Epoxy_FOUND)
     set (SCREENCAST_ENABLED true)
 else()
     set (SCREENCAST_ENABLED false)
@@ -72,7 +66,9 @@
     WindowSystem
 )
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()
 
 add_subdirectory(data)
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -65,7 +65,6 @@
 if (SCREENCAST_ENABLED)
     target_link_libraries(xdg-desktop-portal-kde
                           PipeWire::PipeWire
-                          GLIB2::GLIB2
                           ${Epoxy_LIBRARIES}
                           GBM::GBM)
 endif()

=== debian/changelog ===
xdg-desktop-portal-kde (5.17.3-0ubuntu1) focal; urgency=medium

  * Update lintian overrides.
  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:06:41 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
+               extra-cmake-modules (>= 5.62.0~),
                libcups2-dev,
                libepoxy-dev,
                libgbm-dev,
-               libkf5config-dev (>= 5.58.0~),
-               libkf5coreaddons-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5notifications-dev (>= 5.58.0~),
-               libkf5wayland-dev (>= 4:5.58.0~),
-               libkf5widgetsaddons-dev (>= 5.58.0~),
-               libkf5windowsystem-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.62.0~),
+               libkf5coreaddons-dev (>= 5.62.0~),
+               libkf5i18n-dev (>= 5.62.0~),
+               libkf5kio-dev (>= 5.62.0~),
+               libkf5notifications-dev (>= 5.62.0~),
+               libkf5wayland-dev (>= 4:5.62.0~),
+               libkf5widgetsaddons-dev (>= 5.62.0~),
+               libkf5windowsystem-dev (>= 5.62.0~),
                libpipewire-0.2-dev,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.11.0~),

## xdg-desktop-portal-kde 5.17.4

=== debian/changelog ===
xdg-desktop-portal-kde (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:56 +0000
